Subject: Legal Status Report
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 9 Apr 2001 05:36:00 -0700 (PDT)

Hello Sara, 

Keegan told me that you had asked her today to send to you an updated 
Brokerage Agreement Status Report.   We (the legal eagles) and the business 
folks agreed at the last meeting on 3/28 that I would distribute the report 
every two weeks - every other Thursday.  This works best for me and Keegan.  
Under that schedule, Keegan and I have planned that the report would be ready 
for group-wide distribution this Thursday.   

Cheryl Nelson
Senior Counsel
EB3816
(713) 345-4693